# create_static_adaptor_data.cpp File Reference

`#include <iostream>`
`#include <fstream>`
`#include <string>`
`#include <set>`
`#include <vector>`
`#include <algorithm>`
`#include <boost/algorithm/string/trim.hpp>`
`#include <boost/algorithm/string/split.hpp>`
`#include <boost/algorithm/string/classification.hpp>`

## Defines
#define | STATIC_DATA_IN "static_adaptor_data.hpp.in"
#define | STATIC_DATA_OUT "static_adaptor_data.hpp"
#define | REPLACE_TAG "@SAGA_LITE_REPLACE@"
#define | NAME_TAG "@ADAPTOR_NAME@"
#define | PACKAGE_TAG "@PACKAGE_NAME@"
## Functions
bool | split_line (std::string const &line, std::string &adaptor, std::set< std::string > &packages)
bool | read_adaptor_list (char const *listname, std::set< std::string > &adaptors, std::set< std::string > &packages)
bool | replace_tags (std::ofstream &out, std::string templ, std::set< std::string > const &adaptors, std::set< std::string > const &packages)
int | main (int argc, char *argv[])

## Define Documentation

#define STATIC_DATA_IN "static_adaptor_data.hpp.in"

#define STATIC_DATA_OUT "static_adaptor_data.hpp"

#define REPLACE_TAG "@SAGA_LITE_REPLACE@"

#define NAME_TAG "@ADAPTOR_NAME@"

Referenced by replace_tags().

#define PACKAGE_TAG "@PACKAGE_NAME@"

## Function Documentation

bool split_line | ( | std::string const & | line,
|  | std::string & | adaptor,
|  | std::set< std::string > & | packages |
| ) |  |  |

Referenced by read_adaptor_list().

bool read_adaptor_list | ( | char const * | listname,
|  | std::set< std::string > & | adaptors,
|  | std::set< std::string > & | packages |
| ) |  |  |

References split_line().

bool replace_tags | ( | std::ofstream & | out,
|  | std::string | templ,
|  | std::set< std::string > const & | adaptors,
|  | std::set< std::string > const & | packages |
| ) |  |  |

References NAME_TAG.

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |